Debian Bug report logs - #598432
python-apt: upgrade fails

version graph

Package: python-apt; Maintainer for python-apt is APT Development Team <deity@lists.debian.org>; Source for python-apt is src:python-apt.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Tue, 28 Sep 2010 21:45:01 UTC

Severity: grave

Tags: patch

Found in version python-apt/0.7.98

Fixed in version python-apt/0.7.98.1

Done: Christoph Anton Mitterer <calestyo@scientia.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Tue, 28 Sep 2010 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 28 Sep 2010 21:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-apt: upgrade fails
Date: Tue, 28 Sep 2010 23:42:07 +0200
Package: python-apt
Version: 0.7.98
Severity: grave
Justification: renders package unusable


Hi.

Upgrading to the most recent version fails with:
Setting up python-apt (0.7.98) ...
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 2334, in <module>
    main()
  File "/usr/bin/pycentral", line 2328, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 1481, in run
    pkg.read_version_info()
  File "/usr/bin/pycentral", line 899, in read_version_info
    self.version_info = pyversions.parse_versions(self.version_field)
  File "/usr/share/pycentral-data/pyversions.py", line 68, in parse_versions
    raise ValueError, 'error parsing Python-Version attribute'
ValueError: error parsing Python-Version attribute
dpkg: error processing python-apt (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 python-apt
Press return to continue.


Cheers,
Chris.




Information forwarded to debian-bugs-dist@lists.debian.org, arnt@c2i.net, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Tue, 28 Sep 2010 22:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnt Karlsen <arnt@c2i.net>:
Extra info received and forwarded to list. Copy sent to arnt@c2i.net, APT Development Team <deity@lists.debian.org>. (Tue, 28 Sep 2010 22:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 598432@bugs.debian.org (full text, mbox):

From: Arnt Karlsen <arnt@c2i.net>
To: Debian Bug Tracking System <598432@bugs.debian.org>
Subject: python-apt: ..works ok on my i686 boxes, but fails on amd64.
Date: Wed, 29 Sep 2010 00:56:04 +0200
Package: python-apt
Version: 0.7.98
Severity: normal




...works ok on my i686 boxes:
-- 32bit System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-rc5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-apt depends on:
ii  apt [libapt-pkg4.10]    0.8.5            Advanced front-end for dpkg
ii  apt-utils [libapt-inst1 0.8.5            APT utility programs
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.5-20100321-1 GCC support library
ii  libstdc++6              4.5-20100321-1   The GNU Standard C++ Library v3
ii  python                  2.6.6-3          interactive high-level object-orie
ii  python-central          0.6.16+nmu1      register and build utility for Pyt

Versions of packages python-apt recommends:
ii  iso-codes                     3.20-1     ISO language, territory, currency,
ii  lsb-release                   3.2-24     Linux Standard Base version report
ii  python2.6                     2.6.6-5    An interactive high-level object-o

Versions of packages python-apt suggests:
pn  python-apt-dbg                <none>     (no description available)
pn  python-apt-doc                <none>     (no description available)
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
ii  python-vte                    1:0.24.3-1 Python bindings for the VTE widget



...but fails here on amd64, just like original bug reporter says:
-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-apt depends on:
ii  apt [libapt-pkg4.10]         0.8.5       Advanced front-end for dpkg
ii  apt-utils [libapt-inst1.2]   0.8.5       APT utility programs
ii  libc6                        2.11.2-6    Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.4.4-17  GCC support library
ii  libstdc++6                   4.4.4-17    The GNU Standard C++ Library v3
ii  python                       2.6.6-3     interactive high-level object-orie
ii  python-central               0.6.16+nmu1 register and build utility for Pyt

Versions of packages python-apt recommends:
ii  iso-codes                     3.20-1     ISO language, territory, currency,
ii  lsb-release                   3.2-24     Linux Standard Base version report
ii  python2.6                     2.6.6-5    An interactive high-level object-o

Versions of packages python-apt suggests:
pn  python-apt-dbg                <none>     (no description available)
pn  python-apt-doc                <none>     (no description available)
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
ii  python-vte                    1:0.24.3-1 Python bindings for the VTE widget

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fleischmann <dubliner@gmx.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 598432@bugs.debian.org (full text, mbox):

From: Stefan Fleischmann <dubliner@gmx.net>
To: 598432@bugs.debian.org
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 03:39:40 +0200
I just compared the i386 and amd64 packages and it turns out that the path
'usr/lib/python3.1' is changed to 'usr/lib/python3' in the amd64 package.
Looks like pycentral expects x.y version numbers and throws out the
"ValueError" mentioned above which makes dpkg abort configuration.

I think the error occurs when it tries to read the version information from the
file "usr/share/pyshared-data/python-apt".
The 3rd line in the file states "python-version = 2.6, 3, 2.5"

If I rebuild the package with "usr/lib/python3.1" (also changed in
"usr/share/pyshared-data/python-apt" and "python-version = 2.6, 3.1, 2.5")
it installs without problems.

It can be quite tricky to get rid of the messed up package though because dpkg
refuses removing or up/downgrading because the prerm and postinst scripts
return the error mentioned before.

So quick fix for people who have this problem right now:
(I hope this doesn't mess up things in python..)
Change the 3rd line in the file '/usr/share/pyshared-data/python-apt' to
"python-version = 2.6, 3.1, 2.5"
Then you're able to remove the package or replace it with version 0.7.97.1 from
testing.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 02:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cameron Hutchison <debianbug@xdna.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 02:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 598432@bugs.debian.org (full text, mbox):

From: Cameron Hutchison <debianbug@xdna.net>
To: 598432@bugs.debian.org
Cc: Stefan Fleischmann <dubliner@gmx.net>
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 11:52:14 +1000
Stefan Fleischmann wrote:
> Change the 3rd line in the file '/usr/share/pyshared-data/python-apt' to
> "python-version = 2.6, 3.1, 2.5"

That doesn't work for me. I tried both changing 3 to 3.1 and changing
the regex in /usr/share/pycentral-data/pyversions.py to make the decimal
point and following number optional. In both cases, I now get these
error:

Setting up python-apt (0.7.98) ...
Compiling /usr/lib/python3/dist-packages/apt/debfile.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/debfile.py', 575, 28, '            print(msg, file=sys.stderr)\n'))

Compiling /usr/lib/python3/dist-packages/apt/progress/gtk2.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/progress/gtk2.py', 510, 47, '        print("Exception happened:", exc, file=sys.stderr)\n'))

Compiling /usr/lib/python3/dist-packages/apt/progress/old.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/progress/old.py', 158, 32, '        print("\\r%s" % (s), end=\' \')\n'))

pycentral: pycentral pkginstall: error byte-compiling files (17)
pycentral pkginstall: error byte-compiling files (17)


It looks like it is trying to compile the python3 source with python2
(the print(...) syntax errors).

I tried installing python3, but that made no difference.

On my system, python-apt is the only user of pycentral that has python3
sources.

Is this a bug in python-central not working properly with python3?





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 02:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cameron Hutchison <debianbug@xdna.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 02:15:02 GMT) Full text and rfc822 format available.

Message #25 received at 598432@bugs.debian.org (full text, mbox):

From: Cameron Hutchison <debianbug@xdna.net>
To: 598432@bugs.debian.org
Cc: Stefan Fleischmann <dubliner@gmx.net>
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 12:12:00 +1000
I wrote:
> Stefan Fleischmann wrote:
> > Change the 3rd line in the file '/usr/share/pyshared-data/python-apt' to
> > "python-version = 2.6, 3.1, 2.5"

> That doesn't work for me. [...]

If I read Stefan's message further:
> Then you're able to remove the package or replace it with version
> 0.7.97.1 from testing.

That does work.

I just kept trying to install the new version. Installing the testing
version has temporarily solved the problem.

However, the issue with python-central still remains.





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theo Cabrerizo Diem <diem@carpediem.sh>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 08:33:06 GMT) Full text and rfc822 format available.

Message #30 received at 598432@bugs.debian.org (full text, mbox):

From: Theo Cabrerizo Diem <diem@carpediem.sh>
To: 598432@bugs.debian.org
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 10:32:41 +0200
>> Stefan Fleischmann wrote:
>> > Change the 3rd line in the file '/usr/share/pyshared-data/python-apt' to
>> > "python-version = 2.6, 3.1, 2.5"
>
>> That doesn't work for me. [...]
>
>If I read Stefan's message further:
>> Then you're able to remove the package or replace it with version
>> 0.7.97.1 from testing.
>
>That does work.

Having only the 2.X versions in '/usr/share/pyshared-data/python-apt'
(I've removed the 3 or whatever begin with 3) allowed me to run 'dpkg
-P --force-all python-apt' successfully.
After that I've installed the python-apt from testing and the error is gone.

btw, debian/unstable here, amd64




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 08:54:04 GMT) Full text and rfc822 format available.

Message #35 received at 598432@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <598432@bugs.debian.org>
Subject: Re: #598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 10:42:09 +0200
Package: python-apt
Version: 0.7.98
Severity: grave

Hi,

interestingly here (sid/amd64) it does not fail because of python3 or
python3.1 but because of python2.7:

Setting up python-apt (0.7.98) ...
INFO: using unknown version '/usr/bin/python2.7' (debian_defaults not up-to-date?)
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 2334, in <module>
    main()
  File "/usr/bin/pycentral", line 2328, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 1481, in run
    pkg.read_version_info()
  File "/usr/bin/pycentral", line 899, in read_version_info
    self.version_info = pyversions.parse_versions(self.version_field)
  File "/usr/share/pycentral-data/pyversions.py", line 68, in parse_versions
    raise ValueError, 'error parsing Python-Version attribute'
ValueError: error parsing Python-Version attribute
dpkg: error processing python-apt (--configure):
 subprocess installed post-installation script returned error exit status 1

Installed versions of python:

ii  python2.5                                    2.5.5-8
ii  python2.6                                    2.6.6-5
ii  python2.7                                    2.7-8
ii  python3                                      3.1.2-12
ii  python3.1                                    3.1.2+20100926-1
ii  python3.2                                    3.2~a2-6

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'testing'), (400, 'stable'), (110, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-xen-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-apt depends on:
ii  apt [libapt-pkg4.10]         0.8.5       Advanced front-end for dpkg
ii  apt-utils [libapt-inst1.2]   0.8.5       APT utility programs
ii  libc6                        2.11.2-6    Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.4.4-17  GCC support library
ii  libstdc++6                   4.4.4-17    The GNU Standard C++ Library v3
ii  python                       2.6.6-3     interactive high-level object-orie
ii  python-central               0.6.16+nmu1 register and build utility for Pyt

Versions of packages python-apt recommends:
ii  iso-codes                     3.20-1     ISO language, territory, currency,
ii  lsb-release                   3.2-24     Linux Standard Base version report
ii  python2.6                     2.6.6-5    An interactive high-level object-o

Versions of packages python-apt suggests:
pn  python-apt-dbg                <none>     (no description available)
pn  python-apt-doc                <none>     (no description available)
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
pn  python-vte                    <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 09:21:06 GMT) Full text and rfc822 format available.

Message #40 received at 598432@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 598432@bugs.debian.org
Subject: also broken on mips
Date: Wed, 29 Sep 2010 11:17:29 +0200
Same on gabrielli.d.o (mips):

| sid
| 
| Get:1 http://mirrors.ece.ubc.ca sid Release.gpg [835B]
| Ign http://mirrors.ece.ubc.ca/debian/ sid/contrib Translation-de
| Ign http://mirrors.ece.ubc.ca/debian/ sid/contrib Translation-en
| Ign http://mirrors.ece.ubc.ca/debian/ sid/contrib Translation-es
| Get:2 http://mirrors.ece.ubc.ca/debian/ sid/main Translation-de [1500kB]
| Ign http://mirrors.ece.ubc.ca/debian/ sid/main Translation-en
| Get:3 http://mirrors.ece.ubc.ca/debian/ sid/main Translation-es [489kB]
| Ign http://mirrors.ece.ubc.ca/debian/ sid/non-free Translation-de 
| Ign http://mirrors.ece.ubc.ca/debian/ sid/non-free Translation-en
| Ign http://mirrors.ece.ubc.ca/debian/ sid/non-free Translation-es
| Get:4 http://mirrors.ece.ubc.ca sid Release [104kB]
| Get:5 http://mirrors.ece.ubc.ca sid/main Sources [3984kB]
| Get:6 http://mirrors.ece.ubc.ca sid/contrib Sources [38.7kB] 
| Get:7 http://mirrors.ece.ubc.ca sid/non-free Sources [80.3kB]
| Get:8 http://mirrors.ece.ubc.ca sid/main mips Packages [6628kB]
| Get:9 http://mirrors.ece.ubc.ca sid/contrib mips Packages [51.7kB]
| Get:10 http://mirrors.ece.ubc.ca sid/non-free mips Packages [92.1kB]
| Fetched 13.0MB in 39s (328kB/s)                                                
| Reading package lists... Done
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Calculating upgrade... Done
| The following packages will be upgraded:
|   gcl libhtml-parser-perl python-apt udisks
| 4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
| Need to get 53.1MB of archives.
| After this operation, 2335kB of additional disk space will be used.
| Get:1 http://mirrors.ece.ubc.ca/debian/ sid/main python-apt mips 0.7.98 [542kB]
| Get:2 http://mirrors.ece.ubc.ca/debian/ sid/main gcl mips 2.6.7-74 [52.2MB]
| Get:3 http://mirrors.ece.ubc.ca/debian/ sid/main libhtml-parser-perl mips 3.68-1 [116kB]
| Get:4 http://mirrors.ece.ubc.ca/debian/ sid/main udisks mips 1.0.1+git20100614-3 [254kB]
| Fetched 53.1MB in 8s (5987kB/s)                                                
| Preconfiguring packages ...
| 
| (Reading database ... 137011 files and directories currently installed.)
| Preparing to replace python-apt 0.7.97.1 (using .../python-apt_0.7.98_mips.deb) ...
| Unpacking replacement python-apt ...
| Preparing to replace gcl 2.6.7-71 (using .../archives/gcl_2.6.7-74_mips.deb) ...
| remove/gcl: purging byte-compiled files for emacs23
| Unpacking replacement gcl ...
| Preparing to replace libhtml-parser-perl 3.66-1 (using .../libhtml-parser-perl_3.68-1_mips.deb) ...
| Unpacking replacement libhtml-parser-perl ...
| Preparing to replace udisks 1.0.1+git20100614-2 (using .../udisks_1.0.1+git20100614-3_mips.deb) ...
| Unpacking replacement udisks ...
| Processing triggers for man-db ...
| Setting up python-apt (0.7.98) ...
| Traceback (most recent call last):
|   File "/usr/bin/pycentral", line 2334, in <module>
|     main()
|   File "/usr/bin/pycentral", line 2328, in main
|     rv = action.run(global_options)
|   File "/usr/bin/pycentral", line 1481, in run
|     pkg.read_version_info()
|   File "/usr/bin/pycentral", line 899, in read_version_info
|     self.version_info = pyversions.parse_versions(self.version_field)
|   File "/usr/share/pycentral-data/pyversions.py", line 68, in parse_versions
|     raise ValueError, 'error parsing Python-Version attribute'
| ValueError: error parsing Python-Version attribute
| dpkg: error processing python-apt (--configure):
|  subprocess installed post-installation script returned error exit status 1
| configured to not write apport reports
|                                       Setting up gcl (2.6.7-74) ...
| install/gcl: Handling install for emacsen flavor emacs23
| Loading 00debian-vars...
| No /etc/mailname. Reverting to default...
| Loading /etc/emacs/site-start.d/50autoconf.el (source)...
| Loading /etc/emacs/site-start.d/50cmake-data.el (source)...
| Loading /etc/emacs/site-start.d/50gcl.el (source)...
| Loading /etc/emacs/site-start.d/50git-core.el (source)...
| Wrote /usr/share/emacs23/site-lisp/gcl/add-default.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/ansi-doc.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/dbl.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/doc-to-texi.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/gcl.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/man1-to-texi.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/smart-complete.elc
| Wrote /usr/share/emacs23/site-lisp/gcl/sshell.elc
| Setting up libhtml-parser-perl (3.68-1) ...
| Setting up udisks (1.0.1+git20100614-3) ...
| Errors were encountered while processing:
|  python-apt
| E: Sub-process /usr/bin/dpkg returned an error code (1)
| weasel@gabrielli:~$ 

-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 10:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 598432@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: 598432@bugs.debian.org
Cc: Cameron Hutchison <debianbug@xdna.net>, Stefan Fleischmann <dubliner@gmx.net>
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 12:39:37 +0200
I also faced the same problem as Cameron after modifying
/usr/share/pycentral-data/pyversions.py to allow single digit version
numbers with this patch:

--- /usr/share/pycentral-data/pyversions.py.orig	2010-09-29 12:10:27.000000000 +0200
+++ /usr/share/pycentral-data/pyversions.py	2010-09-29 12:11:04.000000000 +0200
@@ -54,7 +54,7 @@
             vinfo['current'] = field
             continue
         vinfo.setdefault('versions', set())
-        ve = re.compile('(>=|<=|<<|=)? *(\d\.\d)$')
+        ve = re.compile('(>=|<=|<<|=)? *(\d(?:\.\d)?)$')
         m = ve.match(field)
         try:
             op, v = m.group(1), m.group(2)




The following errors alle seem to be caused by "print" being changed
from statement to function in python3:
http://docs.python.org/release/3.0.1/whatsnew/3.0.html#print-is-a-function


 Setting up python-apt (0.7.98) ...
 Compiling /usr/lib/python3/dist-packages/apt/debfile.py ...
 SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/debfile.py', 575, 28, '            print(msg, file=sys.stderr)\n'))

 Compiling /usr/lib/python3/dist-packages/apt/progress/gtk2.py ...
 SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/progress/gtk2.py', 510, 47, '        print("Exception happened:", exc, file=sys.stderr)\n'))

 Compiling /usr/lib/python3/dist-packages/apt/progress/old.py ...
 SyntaxError: ('invalid syntax', ('/usr/lib/python3/dist-packages/apt/progress/old.py', 158, 32, '        print("\\r%s" % (s), end=\' \')\n'))

 pycentral: pycentral pkginstall: error byte-compiling files (17)
 pycentral pkginstall: error byte-compiling files (17)


I have no idea how this should be handled to actually support both
python 2.x and python 3.x, but this  patch does at least let me install
python-apt (0.7.98) without errors (but do note that it removes the
progress indicator in old.py):

--- /usr/lib/python3/dist-packages/apt/debfile.py.orig	2010-09-28 16:56:50.000000000 +0200
+++ /usr/lib/python3/dist-packages/apt/debfile.py	2010-09-29 12:16:14.000000000 +0200
@@ -572,7 +572,7 @@
     def _dbg(self, level, msg):
         """Write debugging output to sys.stderr."""
         if level <= self.debug:
-            print(msg, file=sys.stderr)
+            sys.stderr.write(msg)
 
     def install(self, install_progress=None):
         """Install the package."""
--- /usr/lib/python3/dist-packages/apt/progress/gtk2.py.orig	2010-09-28 16:56:52.000000000 +0200
+++ /usr/lib/python3/dist-packages/apt/progress/gtk2.py	2010-09-29 12:16:51.000000000 +0200
@@ -507,7 +507,7 @@
     try:
         cache.commit(apt_progress.acquire, apt_progress.install)
     except Exception as exc:
-        print("Exception happened:", exc, file=sys.stderr)
+        sys.stderr.write("Exception happened:", exc)
     if len(sys.argv) > 1:
         deb = DebPackage(sys.argv[1], cache)
         deb.install(apt_progress.dpkg_install)
--- /usr/lib/python3/dist-packages/apt/progress/old.py.orig	2010-09-28 16:56:51.000000000 +0200
+++ /usr/lib/python3/dist-packages/apt/progress/old.py	2010-09-29 12:27:39.000000000 +0200
@@ -153,9 +153,10 @@
             s = "[%2.f%%] %sB/s %s" % (self.percent,
                                     apt_pkg.size_to_str(int(self.currentCPS)),
                                     apt_pkg.time_to_str(int(self.eta)))
-        else:
-            s = "%2.f%% [Working]" % (self.percent)
-        print("\r%s" % (s), end=' ')
+
+#        else:
+#            s = "%2.f%% [Working]" % (self.percent)
+#        print("\r%s" % (s), end=' ')
         sys.stdout.flush()
         return True
 


Bjørn ("I have not python clue whatsoever, and I intend to continue like that")




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 11:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 11:15:10 GMT) Full text and rfc822 format available.

Message #50 received at 598432@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 598432@bugs.debian.org
Subject: Re: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 13:10:12 +0200
python-central doesn't support Python 3, please use dh_python3
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #55 received at 598432@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 598432@bugs.debian.org
Subject: python-apt: fails to install
Date: Wed, 29 Sep 2010 13:27:40 +0100
Hello,

case "$suite" in

 sid_amd64) cat <<EOF
  Setting up python-apt (0.7.98) ...
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 2334, in <module>
    main()
  File "/usr/bin/pycentral", line 2328, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 1481, in run
    pkg.read_version_info()
  File "/usr/bin/pycentral", line 899, in read_version_info
    self.version_info = pyversions.parse_versions(self.version_field)
  File "/usr/share/pycentral-data/pyversions.py", line 68, in parse_versions
    raise ValueError, 'error parsing Python-Version attribute'
ValueError: error parsing Python-Version attribute
dpkg: error processing python-apt (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 python-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
EOF
;;

sid_i386)
  Setting up libldap-2.4-2 (2.4.23-6) ...
  Setting up python-apt (0.7.98) ...
  Setting up debootstrap (1.0.25) ...
;;

esac

Let me know if it is helpful to check more arches.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 12:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fleischmann <dubliner@gmx.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 12:33:06 GMT) Full text and rfc822 format available.

Message #60 received at 598432@bugs.debian.org (full text, mbox):

From: Stefan Fleischmann <dubliner@gmx.net>
To: 598432@bugs.debian.org
Subject: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 14:31:48 +0200
Just to clarify, the "quick fix" I posted here was supposed to help people to
get rid of the buggy package. It doesn't fix the actual package.

Like I said before, the problem is not only the version number handling by
pycentral but also the path of the installed files! If you have look at the
package 0.7.97.1 for amd64 or 0.7.98 for i386 you'll see that files are put
in /usr/lib/python3.1
In this package however files are put in /usr/lib/python3 instead which causes
the problem you describe when simply changing the version number to 3.1.

If you think pycentral should handle integer version numbers (at least it
shouldn't exit with an error I guess) please file a bug report there.

But to summarize for this package I think the files are put in the wrong place
(compared with the package from testing and packages for i386) and the version
number in the mentioned config file is wrong.

If you want this package to work you'll have to extract it, rename the folder
usr/lib/python3 to python3.1 and also change this path and the version number
to 3.1 in usr/share/pyshared-data/python-apt. Then rebuild the package.
But having a fixed version doesn't help you getting rid of the package from the
system because dpkg won't remove it due to the prerm script which executes
pycentral and fails.
So the easiest thing to do is simply changing the 3rd line in
/usr/share/pyshared-data/python-apt to "python-version = 2.6, 3.1, 2.5" and
then you can replace the package.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Whyall <ben@thor.whyte-systems.co.uk>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 13:00:03 GMT) Full text and rfc822 format available.

Message #65 received at 598432@bugs.debian.org (full text, mbox):

From: Ben Whyall <ben@thor.whyte-systems.co.uk>
To: Debian Bug Tracking System <598432@bugs.debian.org>
Subject: Re: upgrade fails
Date: Wed, 29 Sep 2010 13:36:19 +0100
Package: python-apt
Version: 0.7.98
Severity: normal


Hi 

For additional information I also recieve this problem.

Ben


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-apt depends on:
ii  apt [libapt-pkg4.10]         0.8.5       Advanced front-end for dpkg
ii  apt-utils [libapt-inst1.2]   0.8.5       APT utility programs
ii  libc6                        2.11.2-6    Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.4.4-17  GCC support library
ii  libstdc++6                   4.4.4-17    The GNU Standard C++ Library v3
ii  python                       2.6.6-3     interactive high-level object-orie
ii  python-central               0.6.16+nmu1 register and build utility for Pyt

Versions of packages python-apt recommends:
ii  iso-codes                     3.20-1     ISO language, territory, currency,
ii  lsb-release                   3.2-24     Linux Standard Base version report
ii  python2.6                     2.6.6-5    An interactive high-level object-o

Versions of packages python-apt suggests:
pn  python-apt-dbg                <none>     (no description available)
pn  python-apt-doc                <none>     (no description available)
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
pn  python-vte                    <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 13:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 13:15:11 GMT) Full text and rfc822 format available.

Message #70 received at 598432@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Stefan Fleischmann <dubliner@gmx.net>, 598432@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 15:12:10 +0200
[CCed debian-python]

On Mi, 2010-09-29 at 14:31 +0200, Stefan Fleischmann wrote:
> Just to clarify, the "quick fix" I posted here was supposed to help people to
> get rid of the buggy package. It doesn't fix the actual package.
> 
> Like I said before, the problem is not only the version number handling by
> pycentral but also the path of the installed files! If you have look at the
> package 0.7.97.1 for amd64 or 0.7.98 for i386 you'll see that files are put
> in /usr/lib/python3.1
> In this package however files are put in /usr/lib/python3 instead which causes
> the problem you describe when simply changing the version number to 3.1.
> 
> If you think pycentral should handle integer version numbers (at least it
> shouldn't exit with an error I guess) please file a bug report there.
> 
> But to summarize for this package I think the files are put in the wrong place
> (compared with the package from testing and packages for i386) and the version
> number in the mentioned config file is wrong.
AFAIK, /usr/lib/python3 is the new location.

Dear debian-python subscribers, could someone please propose a fix for
python-apt? I do not intent to drop Python 3 support, but considering
that there is a new RC bug each month because python3 packaging changes
I start to wonder whether this is worth the effort.

Python maintainers: Breaking backward compatibility in unstable is not
nice, especially not every (second) month. You should have thought about
it while python3 was still in experimental, not afterwards.
-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 13:39:09 GMT) Full text and rfc822 format available.

Message #75 received at 598432@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 598432@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 15:35:25 +0200
[Julian Andres Klode, 2010-09-29]
> Dear debian-python subscribers, could someone please propose a fix for
> python-apt? I do not intent to drop Python 3 support, but considering
> that there is a new RC bug each month because python3 packaging changes
> I start to wonder whether this is worth the effort.

I'll try to send you a patch this evening
 
> Python maintainers: Breaking backward compatibility in unstable is not
> nice, especially not every (second) month. You should have thought about
> it while python3 was still in experimental, not afterwards.

Dear release team: please notify Debian developers and upstream authors
about freeze date at least 6 months in advance so that everything can be
planed in a sane way, TIA
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 13:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 13:39:11 GMT) Full text and rfc822 format available.

Message #80 received at 598432@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Stefan Fleischmann <dubliner@gmx.net>
Cc: 598432@bugs.debian.org, debian-python@lists.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 15:36:28 +0200
On Mi, 2010-09-29 at 15:12 +0200, Julian Andres Klode wrote:
> [CCed debian-python]
> 
> On Mi, 2010-09-29 at 14:31 +0200, Stefan Fleischmann wrote:
> > Just to clarify, the "quick fix" I posted here was supposed to help people to
> > get rid of the buggy package. It doesn't fix the actual package.
> > 
> > Like I said before, the problem is not only the version number handling by
> > pycentral but also the path of the installed files! If you have look at the
> > package 0.7.97.1 for amd64 or 0.7.98 for i386 you'll see that files are put
> > in /usr/lib/python3.1
> > In this package however files are put in /usr/lib/python3 instead which causes
> > the problem you describe when simply changing the version number to 3.1.
> > 
> > If you think pycentral should handle integer version numbers (at least it
> > shouldn't exit with an error I guess) please file a bug report there.
> > 
> > But to summarize for this package I think the files are put in the wrong place
> > (compared with the package from testing and packages for i386) and the version
> > number in the mentioned config file is wrong.
> AFAIK, /usr/lib/python3 is the new location.
> 
> Dear debian-python subscribers, could someone please propose a fix for
> python-apt? I do not intent to drop Python 3 support, but considering
> that there is a new RC bug each month because python3 packaging changes
> I start to wonder whether this is worth the effort.

It seems that doko already provides a patch, mvo takes a look at it now.
-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fleischmann <dubliner@gmx.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 14:36:03 GMT) Full text and rfc822 format available.

Message #85 received at 598432@bugs.debian.org (full text, mbox):

From: Stefan Fleischmann <dubliner@gmx.net>
To: Julian Andres Klode <jak@debian.org>
Cc: 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 16:33:45 +0200
Am Wed, 29 Sep 2010 15:36:28 +0200
schrieb Julian Andres Klode <jak@debian.org>:

> On Mi, 2010-09-29 at 15:12 +0200, Julian Andres Klode wrote:
> > [CCed debian-python]
> > 
> > AFAIK, /usr/lib/python3 is the new location.
> > 
> > Dear debian-python subscribers, could someone please propose a fix for
> > python-apt? I do not intent to drop Python 3 support, but considering
> > that there is a new RC bug each month because python3 packaging changes
> > I start to wonder whether this is worth the effort.
> 
> It seems that doko already provides a patch, mvo takes a look at it now.

So does anyone actually know where the files are supposed to be?
/usr/lib/python3 or /usr/lib/python3.1?
In the package for i386 it is still /usr/lib/python3.1 and if I look at the
package python3 it doesn't put anything in /usr/lib but depends on python3.1
which of course puts files in /usr/lib/python3.1




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 15:48:05 GMT) Full text and rfc822 format available.

Message #90 received at 598432@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Debian Bug Tracking System <598432@bugs.debian.org>
Subject: python-apt: so does removing it
Date: Wed, 29 Sep 2010 17:37:56 +0200
Package: python-apt
Version: 0.7.98
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

dpkg: error processing python-apt (--purge):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting a removal.
configured to not write apport reports
                                      Errors were encountered while processing:
 python-apt


- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-apt depends on:
ii  apt [libapt-pkg4.10]         0.8.5       Advanced front-end for dpkg
ii  apt-utils [libapt-inst1.2]   0.8.5       APT utility programs
ii  libc6                        2.11.2-6    Embedded GNU C Library: Shared lib
ii  libgcc1                      1:4.4.4-17  GCC support library
ii  libstdc++6                   4.4.4-17    The GNU Standard C++ Library v3
ii  python                       2.6.6-3     interactive high-level object-orie
ii  python-central               0.6.16+nmu1 register and build utility for Pyt

Versions of packages python-apt recommends:
ii  iso-codes                     3.20-1     ISO language, territory, currency,
ii  lsb-release                   3.2-24     Linux Standard Base version report
ii  python2.6                     2.6.6-5    An interactive high-level object-o

Versions of packages python-apt suggests:
pn  python-apt-dbg                <none>     (no description available)
pn  python-apt-doc                <none>     (no description available)
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
pn  python-vte                    <none>     (no description available)

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyjXVAACgkQw5UvgfnzqGpaIQCgyTAQbvz7RfIItNh4ZPp0A8IN
k9AAoI3Ra2Hhnp+abc2L8+7OxFnik0i8
=JK2A
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ozarowski <ozarow@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 17:57:05 GMT) Full text and rfc822 format available.

Message #95 received at 598432@bugs.debian.org (full text, mbox):

From: Piotr Ozarowski <ozarow@gmail.com>
To: 598432@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 19:51:49 +0200
[Message part 1 (text/plain, inline)]
tags 598432 + patch
thanks

[Piotr Ożarowski, 2010-09-29]
> I'll try to send you a patch this evening

attached

Luca: If python-apt maintainers will decide to use my patch, please
fast-process it in NEW if possible (it's part of the python3 in Squeeze
goal we talked about before, TIA)
[python-apt.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Piotr Ozarowski <ozarow@gmail.com> to control@bugs.debian.org. (Wed, 29 Sep 2010 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 18:24:06 GMT) Full text and rfc822 format available.

Message #102 received at 598432@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 20:09:14 +0200
[Message part 1 (text/plain, inline)]
[Piotr Ozarowski, 2010-09-29]
> attached

here's a version of the patch that also uses dh_python2 (so that
python-central is not needed anymore)
[python-apt.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 18:27:06 GMT) Full text and rfc822 format available.

Message #107 received at 598432@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Piotr Ozarowski <ozarow@gmail.com>, 598432@bugs.debian.org
Cc: Michael Vogt <mvo@ubuntu.com>
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 20:22:56 +0200
On Mi, 2010-09-29 at 19:51 +0200, Piotr Ozarowski wrote:
> tags 598432 + patch
> thanks
> 
> [Piotr Ożarowski, 2010-09-29]
> > I'll try to send you a patch this evening
> 
> attached
> 
> Luca: If python-apt maintainers will decide to use my patch, please
> fast-process it in NEW if possible (it's part of the python3 in Squeeze
> goal we talked about before, TIA)

Maybe you missed it, but I already wrote 5 hours ago that doko provided
a patch[1] and mvo is testing it already. We should probably merge both
patches into a single one.

[1] http://people.canonical.com/~doko/tmp/3.diff
-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 18:45:08 GMT) Full text and rfc822 format available.

Message #112 received at 598432@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Julian Andres Klode <jak@debian.org>
Cc: Piotr Ozarowski <ozarow@gmail.com>, 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 20:43:48 +0200
On Wed, Sep 29, 2010 at 08:22:56PM +0200, Julian Andres Klode wrote:
> On Mi, 2010-09-29 at 19:51 +0200, Piotr Ozarowski wrote:
> > tags 598432 + patch
> > thanks
> > 
> > [Piotr Ożarowski, 2010-09-29]
> > > I'll try to send you a patch this evening
> > 
> > attached
> > 
> > Luca: If python-apt maintainers will decide to use my patch, please
> > fast-process it in NEW if possible (it's part of the python3 in Squeeze
> > goal we talked about before, TIA)

Thanks for the new patch!
 
> Maybe you missed it, but I already wrote 5 hours ago that doko provided
> a patch[1] and mvo is testing it already. We should probably merge both
> patches into a single one.

The patch from doko has some issues and I was too busy this afternoon
to properly fix them, the new one looks much better, I test-build it
currently. They are both very similar, but the one from Piotr is
working better.

Thanks,
 Michael
 
> [1] http://people.canonical.com/~doko/tmp/3.diff
> -- 
> Julian Andres Klode  - Debian Developer, Ubuntu Member
> 
> See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #117 received at 598432@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: Piotr Ożarowski <piotr@debian.org>, 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 21:08:30 +0200
On Wed, Sep 29, 2010 at 08:09:14PM +0200, Piotr Ożarowski wrote:
> [Piotr Ozarowski, 2010-09-29]
> > attached
> 
> here's a version of the patch that also uses dh_python2 (so that
> python-central is not needed anymore)

Many thanks for that patch! I commited it to bzr and uploaded a new
version :) 

Cheers,
 Michael





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Wed, 29 Sep 2010 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 29 Sep 2010 20:03:03 GMT) Full text and rfc822 format available.

Message #122 received at 598432@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Piotr Ozarowski <ozarow@gmail.com>
Cc: 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: upgrade fails
Date: Wed, 29 Sep 2010 21:59:56 +0200
[Message part 1 (text/plain, inline)]
Il 29/09/2010 19:51, Piotr Ozarowski ha scritto:
> Luca: If python-apt maintainers will decide to use my patch, please
> fast-process it in NEW if possible (it's part of the python3 in Squeeze
> goal we talked about before, TIA)

I've processed it just now.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#598432; Package python-apt. (Thu, 30 Sep 2010 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnt Karlsen <arnt@c2i.net>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 30 Sep 2010 05:00:03 GMT) Full text and rfc822 format available.

Message #127 received at 598432@bugs.debian.org (full text, mbox):

From: Arnt Karlsen <arnt@c2i.net>
To: Arnt Karlsen <arnt@c2i.net>, 598432@bugs.debian.org
Subject: Re: Bug#598432: python-apt: ..0.7.98.1 installs|works ok on both i686 and amd64 boxes.
Date: Thu, 30 Sep 2010 06:56:45 +0200

-- 
..med vennlig hilsen = with Kind Regards from Arnt... ;o)
...with a number of polar bear hunters in his ancestry...
  Scenarios always come in sets of three: 
  best case, worst case, and just in case.




Bug Marked as fixed in versions python-apt/0.7.98.1. Request was from Christoph Anton Mitterer <calestyo@scientia.net> to control@bugs.debian.org. (Thu, 30 Sep 2010 06:51:06 GMT) Full text and rfc822 format available.

Reply sent to Christoph Anton Mitterer <calestyo@scientia.net>:
You have taken responsibility. (Thu, 30 Sep 2010 06:51:19 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 06:51:19 GMT) Full text and rfc822 format available.

Message #134 received at 598432-done@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: <598432-done@bugs.debian.org>
Cc: <control@bugs.debian.org>
Subject: fixed
Date: Thu, 30 Sep 2010 06:47:41 +0000
fixed 598432 0.7.98.1
stop

Sees to have been more or less gracefully fixed in 0.7.98.1.

Cheers.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Oct 2010 07:31:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:25:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.